/*
Theme Name: Jack of No Trades Custom Theme
Version: 1.0
Description: A customized child theme for Merchant from WooThemes. Created specifically for JackofNoTradesProductions.com
Template: merchant
*/
@import url("../merchant/style.css");

h1, h2, h3, h4, h5, h6 { font-family: 'Droid Serif', arial, sans-serif; }
h1 a, h2 a, h3 a, h4 a, h5 a, h6 a { color: #211c1c;}
p {line-height: 1.5;}

/* Typography And Background Overides */
body { font:normal 14px/1.5em 'Droid Serif', arial, sans-serif; color:#211c1c; background: url("images/exclusive_paper_85.png") #eee repeat 0 0 scroll; }
#navigation .nav li a { font-size:14px;}
#header:before { display: none;} /* Eliminates the perforated edge. */
#header .site-title a { font:normal 14px/1.5em 'Droid Serif', arial, sans-serif; color:#fff; }

.page header h1 { font-size:36px;}
.post header h1, .archive header h1
{ font-size:24px; line-height: 1.2; margin-bottom: .5em;}

.post-meta { font-size:14px }
.entry, .entry p { font-size:14px; }
.widget h3 { font:13px; color:#000000; }

a:link { color: #cc1100;}
a:visited { color: #cc1100;}
a:hover { text-decoration: underline;}
a:active {}

/* Header overides. */
#header { background-color: #595959; }
#logo img:hover { opacity: 1;}
#navigation .nav li a {
    color: #fff !important;
}
#header .search_main .searchform {
    border: none !important;
}
.nav li.current_page_item a,
.nav li.current-menu-item a,
.nav li.current_page_parent a,
.nav li.current-menu-ancestor a,
.nav li.current-cat a,
.nav li.li.current-menu-item a,
#navigation .nav .sub-menu,
.nav li:hover > a, .nav li a:hover
{
    background-color: #3b3b3b;
}
#breadcrumbs a { color: #372E2E !important;}


#header #navigation #main-nav .sub-menu .current-menu-item a {
    background-color:transparent !important;
    padding-left: 1em;
}

#header #navigation .nav li.parent > a:after {border-color: #fff transparent transparent;}

#content { position:relative; }

#featured-stories header, .featured-story header, #contributed-stories header { margin-bottom: 1.5em;}
.single-issues .cta-wrap { margin-top: 1em; }
.featured-story .cta-wrap { margin-top: 0; }




.home .home-section { margin-bottom: 1.5em; }
.home .home-section h2 { margin-bottom: 1.16071em; /* 26px margin / 22.4px effective font size. */ }
.home .home-section .hentry { margin-bottom: 0; }

.post .post-more, .type-page .post-more,
.type-features .post-more,
.single-promotion .type-promotion .post-more,
.search-results .type-promotion .post-more
{ margin:0; }

.archive-header, .nav-entries, #post-entries, .woo-pagination { border-color: #ccc;}

#comments .comment .comment-container, #comments .nocomments { background-color: #fafafa;}

.post header h1 a:link, .type-page header h1 a:link,
.type-features header h1 a:link,
.single-promotion .type-promotion header h1 a:link,
.search-results .type-promotion header h1 a:link,
.post header h1 a:visited, .type-page header h1 a:visited,
.type-features header h1 a:visited,
.single-promotion .type-promotion header h1 a:visited,
.search-results .type-promotion header h1 a:visited
{
    color: #cc1100;
}

.post-type-archive .block { margin-bottom: 1.5em;}

.post, .type-page, .type-features,
.single-promotion .type-promotion, .search-results .type-promotion
{ margin-bottom: 1.5em;}

.page .post-more .comments { display: inline-block;}

/* Improves responsive display of post thumbnails given that WP automattically adds width and height to the HTML. */
.wp-post-image { width: 100%; height: auto;}

.feature-block { overflow:hidden; }
.feature-block header {
    background: url("images/bg-overlay-texture.png") repeat scroll left top #595959;
    padding: .6em 1em;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
    margin-bottom: 1em;
}
.feature-block header a { color: #fff !important; text-decoration: none; }
.feature-block header a:hover { text-decoration: underline !important; }
.feature-block header a { color: #fff; }
.feature-block header a:hover { color: #afc4c9; text-decoration:none; }
.cta-wrap .link {
    background: url("images/ico-arrow-right.png") no-repeat scroll 100% 4px transparent;
    color: #372E2E;
    font-weight: normal;
    padding: 0 12px 0 0;
    display:inline-block; }
.cta-wrap .link:hover { color: #dc3022; }

.featured article header { background-color: #595959;}

/* Alignment */
.alignleft {
    display: inline;
    float: left;
    margin-right: 1.625em;
}
.alignright {
    display: inline;
    float: right;
    margin-left: 1.625em;
}
.aligncenter {
    clear: both;
    display: block;
    margin-left: auto;
    margin-right: auto;
}


.cta-wrap { clear:both;}
.cta-wrap .cta-block { float:left; margin-right: 2em;}
.feature-block .cta-wrap .button { margin-bottom: 1em; }
.feature-block .cta-wrap .price { display:block; margin-top: -0.75em; margin-bottom: .5em;}



.single-issues .featured-stories header { margin-bottom: 1.5em;}
.single-issues .featured-story { margin-bottom:1.5em; }
.single-issues .featured-story header { margin-bottom: 0; }


.single-stories #buy_block { margin-bottom: 1.5em;}

.archive .feature-block header h1 {font-size: 1.4em; margin-bottom: 0;}

#slider { background:url("images/bg-overlay-texture.png") repeat scroll left top #595959; }
#slider article header { padding:1em; }
#slider article h1 { font-size: 1.16071em; line-height:22.4px; margin-bottom:11px; }
#slider article .entry { font-size: 1em; }
#slider article .entry p {margin-bottom: 22.4px; line-height:22.4px;}

.featured article header { background: none; }

#slider.home-section .flex-control-nav li {

}
#slider.home-section .flex-control-nav li a {

}

#home-blog { }

#menu-home-magazine-list li {
    display:inline-block;
    width: 44%;
}

.woo-pagination { clear:both; } /* Prevents the pagenation wrapper from extending up behind floated content. */

/* Cleaning up the search results page */
.search-results .hentry { margin-bottom: 1.5em; }
.search-results .page h1 { font-size: 25.9px; margin-bottom: 0; } /* Ensures consistent heading size and display on search result pages. */
.search-results .hentry h1 { line-height: 1em; }
.search-results .page .post-meta { margin-bottom: 0;}

/* Styling a links to Facebook */

.facebook-link:link {
    background: url("https://fbstatic-a.akamaihd.net/rsrc.php/v2/y2/x/Wrq-mqOQr76.png") no-repeat scroll 5px 4px #ECEEF5;
    border: 1px solid #CAD4E7;
    border-radius: 3px 3px 3px 3px;
    color: #3B5998;
    cursor: pointer;
    display: inline-block;
    font-family: 'lucida grande',tahoma,verdana,arial,sans-serif;
    font-size: 11px;
    line-height: 14.0833px;
    padding: 3px 6px 3px 22px;
    text-decoration: none;
    white-space: nowrap;
    margin-left:2px;
}
.facebook-link:visited { border-color: #CAD4E7; color: #3B5998; }
.facebook-link:hover { border-color:#9dacce; color: #3B5998; }




/* Archive Template Page General Styles */
.page-template-template-archives-php .magazine-list { margin-bottom: 0; overflow:hidden;}
.page-template-template-archives-php .magazine { margin-bottom: 1.5em;}
.page-template-template-archives-php .magazine h2 a,
.page-template-template-archives-php .issue h3 a,
.page-template-template-archives-php .story-title { color:#000; }

.page-template-template-archives-php .issue { width: 48.958333%;}
.page-template-template-archives-php .issue.odd { float:left; clear:both; }
.page-template-template-archives-php .issue.even { float:right; }

.page-template-template-archives-php .issue { margin-bottom: 1em;}
.page-template-template-archives-php .issue-title { display: block;}
.page-template-template-archives-php .issue h3 { margin: 0; display:inline-block}
.page-template-template-archives-php .issue .cta { display:block;}

.page-template-template-archives-php ul.story-list { padding-left: 1.35em;}
.page-template-template-archives-php ul li.story { list-style : disc outside none;}
.page-template-template-archives-php .story .cta { display:block;}

.page-template-template-archives-php .jacks-news { padding-top: 1.5em; border-top: 2px solid #555; }

/******************************************
****|Story Shop Page Styles|***************/

.post-type-archive-stories { } /* Targets the body tag*/

.post-type-archive-stories .category_title, .tax-genre .category_title,
.tax-story_tag .category_title, .single-stories .category_title
{ 
    text-transform: capitalize; color: #fff;
}

/* Targets individual story items on the shop page. */
.story-block {
    position: relative;
    display:inline-block;
    margin: .25rem .25rem;
    padding: .5rem;
    border: 2px solid transparent;
}

.story-block.featured-story, .story-block.expiring {
    width:auto; min-height: auto;
    border-radius: 3px 3px 3px 3px;
    background: rgba(60, 60, 60, .3);
}
.story-block.expiring { border-color :#cc1100; }
.story-block.new::after {
    content: "";
    display:block;
    position:absolute;
    bottom: 0; right: 0;
    width: 1rem; height: 1rem;
    background-color: gold;
 }

 #cart-widget-parent {
     float:right;
 }

 .single-stories .cta-wrap .price { display:inline; margin: auto;}

.tax-genre #breadcrumbs .sep, .tax-story_tag #breadcrumbs .sep {
    padding-top: 15px;
    background: url("images/ico-slider-prev.png") no-repeat center center;
}

/*******************************************************************************
 *** Start Media Queries *******************************************************
 *******************************************************************************/


@media only screen and (min-width: 768px) and (max-width: 1090px) { /* Intermediate Desktop display */

    body #header .search_main {
        position: absolute;
        top: 28px;
        right: 20px;
    }
}
@media only screen and (min-width: 768px) and (max-width: 920px) { /* Intermediate Desktop display */
    #header #logo {
        float:left !important;
    }
    #header #navigation {
        clear: none;
        float: left !important;
        top: -5px !important;
        width: 51%;
    }
    #header #navigation li { }
    body #header .search_main {

    }
}
@media only screen and (min-width: 1090px) { /* Super-wide Desktop display  */
    .post header .comments.bubble {
    }
    .search-results .post header .comments.bubble a {
        background-color: #C10;
    }
    .search-results .post header span.comments.bubble a:after {
        border-left-color: #c10;
    }
    .search-results .post header .comments.bubble a:hover {
        background: #B0261B;
        text-decoration: none;
    }
    .search-results .post header .comments.bubble a:hover:after {
        border-left-color: #B0261B;
    }
}

@media only screen and (min-width: 768px) { /* General Desktop Display */
    html body { padding-top: 3em; }
    #content { position: relative;}
    /*Reflowing main menu to two rows as the available space shrinks */
    #header #navigation {
        width: 60%;
        margin: 20px 0 0 -10px;
        top: -5px;
    }

    #header { padding-top: 0; padding-bottom: 0;}
    #logo { margin-top: -2em; margin-bottom: -2em;}
    #breadcrumbs {
        border-bottom: 0 dotted #e5e5e5;
        position:relative;
        top:-2.5em;
        left: 9em;
        padding:0;
        margin:0;
    }
    #content .primary { width: 54.0625%;}
    #content .secondary { width:43.854167%; }

    #cart-widget-parent {
        position: absolute;top: -3em;  right: 0;
    }


    body #main { width: 64.2708333%; }
    body #sidebar { width: 33.6458333%; }

    /* List of links to most recent blog posts. Is displayed on the home page.
     * @todo This selector sucks. Find a way to specify a propper class and fix this.
    */
    .home .widget_recent_entries { width:54.0625%; overflow:hidden;}

    .home .home-content { width: 33.6458333%; }

    #slider { width: 64.2708333%; float:left; }
    .slide-image-link { width: 68.2333873%; float:left; }
    .slide-content-container { width: 31.7666126%; float:right; }

    .current-issue, .single-issues #buy_block { margin-bottom:1.5em;}
    /* Top offset needed to maintain alignment and baseline rythm varies between page.*/
    .home .feature-block { margin-top: 3.7em; }
    /* Too broad a selector, should be abstracted in case multiple thumbnail
    blocks are ever used on these pages. */
    .single-magazines .feature-block, .single-issues .feature-block, .single-stories #buy_block, .page-template-template-contact-php #sidebar { margin-top: 6em; }

    .single-magazines #featured-stories, .single-contributors #contributed-stories { clear:both; overflow:hidden;}
    .single-magazines #featured-stories .featured-story, .single-contributors #contributed-stories .story { width:48.958333%; float:left; margin-bottom: 1.5em;}
    .single-magazines #featured-stories .first, .single-contributors #contributed-stories .odd {margin-right:20px;}

    .post-type-archive .block { width: 48.9583333%; }
    .post-type-archive .odd, .single-contributors #contributed-stories .odd { float:left; clear:both;}
    .post-type-archive .even { float:right;}

    #home-blog {
        width: 59.1666666%; /* Percent of #content. 12 columns or 568px */
        float:left;
    }
    #home-blog .section-list li /* Fighting their excessive specificity again. */
    {
        width: 48.2394366%; /* Percent of #home-blog width, not #content. 6 columns or 274px  */
        margin:0;
    }
    #home-blog .section-list .last
    {
        float:right;
    }

    .home .widget_nav_menu {
        clear:right;
        float:right;
        width: 33.6458333%; /* 8 cols */
    }

    .page-template-template-archives-php .magazine { width: 48.958333%; }
    .page-template-template-archives-php .magazine.odd { float:left; margin-right: 2.083334%; clear:both;}
    .page-template-template-archives-php .magazine.even { float:left; }
    .page-template-template-archives-php .jacks-news { clear:both;}



}

@media only screen and (max-width: 767px) { /* Standard Mobile Display */
    #slider { width: 100%; }
    .slide-image-link { width: 68.2333873%; float:left; }
    .slide-content-container { width: 31.7666126%; float:right; }

}

@media only screen and (max-width: 500px) { /* Narrow Mobile Display */

    .slide-image-link { width: 100%; float:none; }
    .slide-content-container { width: 100%; float:none; }

}
@media only screen and (min-width: 1400px) { /* Super Wide Desktop Display */
    .floated-header #header #navigation {
        width: auto;
    }
    #breadcrumbs { left: 0; }
    #cart-widget-parent {
        top: 0;
    }

}
